"use strict";

var GO_MirrorDoor = function(unlocked,getDestName,relocate){
	this.sprite = new Sprite(GO_MirrorDoor.spriteSheet,"MirrorDoor");
	
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(4,4,27,27);
	this.sprite.game_object = this; // no longer a generic GO

	this.unlocked=unlocked;
	this._getDestName = getDestName;
	this.relocate = relocate;
};
GO_MirrorDoor.spriteImg = SDS_Load_Image("art/sheets/sprite/mirror.png");
GO_MirrorDoor.spriteSheet = new TileSheet(5, 5, 1, 0, GO_MirrorDoor.spriteImg);

GO_MirrorDoor.prototype = new GO_Door(
	true,
	function(){return "";},
	GO_Door.NullRelocate
	);
